FORUMS
Remove All Ads from XDA

[MOD][Xposed] SkypeX - Version spoofing for Skype app

3,610 posts
Thanks Meter: 1,857
 
Post Reply Email Thread
30th August 2014, 06:57 PM |#21  
agentdr8's Avatar
OP Senior Member
Flag Cowtown, CA
Thanks Meter: 1,857
 
Donate to Me
More
Quote:
Originally Posted by AquilaChill

your right I did have 3.2 & seems it did stick that in the prefs, perhaps have it check the installed version when you open the settings (orig thought it did) or a button to do so?

I need to reboot for v1.1, will test sooner or later

I've updated it so that every time you launch the prefs it checks which version(s) of Skype you have installed and write them to the prefs file.
The Following User Says Thank You to agentdr8 For This Useful Post: [ View ] Gift agentdr8 Ad-Free
31st August 2014, 06:49 AM |#22  
Member
Flag Iasi
Thanks Meter: 5
 
More
Quote:
Originally Posted by agentdr8

You enable the dual app mode, then type in the package name of your 2nd Skype app into the field below the switchbox. You said it was com.skype_custom.ryder or something of that sort? Can you enable debugging and send the xposed error.log to me?

https://www.dropbox.com/sh/1n8uae19w...dCMQp1wAa?dl=0
31st August 2014, 07:35 AM |#23  
todobarato's Avatar
Senior Member
Thanks Meter: 41
 
More
Hello,

very interesting your work, I have installed it GB CM7 but it makes force close.

Will be possible to make it compatible with Android 2.3 ?

Best regards,

Ferenc.

Sent from my MB860 using XDA Free mobile app
31st August 2014, 08:13 AM |#24  
agentdr8's Avatar
OP Senior Member
Flag Cowtown, CA
Thanks Meter: 1,857
 
Donate to Me
More
Quote:
Originally Posted by cristicaras

https://www.dropbox.com/sh/1n8uae19w...dCMQp1wAa?dl=0

Thanks for the modified Skype apk. With it I was able to test the dual app install and fix the issue you were encountering. Please update to the latest release and let me know how it works out.
31st August 2014, 08:28 AM |#25  
agentdr8's Avatar
OP Senior Member
Flag Cowtown, CA
Thanks Meter: 1,857
 
Donate to Me
More
Quote:
Originally Posted by todobarato

Hello,

very interesting your work, I have installed it GB CM7 but it makes force close.

Will be possible to make it compatible with Android 2.3 ?

It's using Fragments, which was implemented in API 11. It would require some work to make it compatible with API <=10, and since i have no devices running anything that old, I have nothing to test against.
31st August 2014, 02:25 PM |#26  
Member
Flag Iasi
Thanks Meter: 5
 
More
Quote:
Originally Posted by agentdr8

Thanks for the modified Skype apk. With it I was able to test the dual app install and fix the issue you were encountering. Please update to the latest release and let me know how it works out.

Yes Sir, with SkypeX v.1.2 installed, and 5.0 checked in Spoofed Version module, both Skype version (5.0 and 19.1) work fine in my smartphone. You are the best. My respect and gratitude for yor work. Best regards.
2nd September 2014, 11:36 AM |#27  
Member
Ath
Thanks Meter: 5
 
More
it doesn't work with 2.9.0.315 (v17)




I found out that in (v17) the com/skype/raider MainApp.smali is missing
2nd September 2014, 05:08 PM |#28  
agentdr8's Avatar
OP Senior Member
Flag Cowtown, CA
Thanks Meter: 1,857
 
Donate to Me
More
Quote:
Originally Posted by stayros32001

it doesn't work with 2.9.0.315 (v17)

I found out that in (v17) the com/skype/raider MainApp.smali is missing

I hadn't gone that far back to test. I'll download v17 and see what needs to be changed.
13th September 2014, 09:14 AM |#29  
zmag's Avatar
Senior Member
Thanks Meter: 90
 
More
v22 mod is working now!

Thank you for your help and support on this Xposed mod, I spoofed the version manually to 5.0.0.51733 (latest as of this post)

I was using Mr_Its v19 before and it was working so-so (not Mr_Its' fault - it's the Skype build that was shotty on my SGS5) sometimes the speakerphone wouldnt work correctly, along with calling/receiving calls not working (pressing the green button did nothing - and sometimes it would answer the call but the other person couldnt hear me)

I think ill get better luck with v22 and this Xposed mod! I will post my findings after some testing - zmag
13th September 2014, 05:14 PM |#30  
Member
Ath
Thanks Meter: 5
 
More
Quote:
Originally Posted by agentdr8

I hadn't gone that far back to test. I'll download v17 and see what needs to be changed.

I saw that you made it for older versions.
But I have a huge problem to make it work with my stupid tablet.
Actually none of Xprosed mods work with my tablet.
So is it easy for you to send me the moded file to force copy it?
thanks!
13th September 2014, 07:41 PM |#31  
agentdr8's Avatar
OP Senior Member
Flag Cowtown, CA
Thanks Meter: 1,857
 
Donate to Me
More
Quote:
Originally Posted by stayros32001

I saw that you made it for older versions.
But I have a huge problem to make it work with my stupid tablet.
Actually none of Xprosed mods work with my tablet.
So is it easy for you to send me the moded file to force copy it?
thanks!

If the xposed framework doesn't work on your device, then the module by itself won't do anything.

You're probably better off just getting a modified Skype.apk from one of the other threads here.
Post Reply Subscribe to Thread

Guest Quick Reply (no urls or BBcode)
Message:
Previous Thread Next Thread
Thread Tools Search this Thread
Search this Thread:

Advanced Search
Display Modes